## pysmb 1.1.26

=== sphinx/requirements.txt ===
twisted>=15.0.0
pyasn1>=0.3.0

## pysmb 1.1.19

=== debian/changelog ===
pysmb (1.1.19-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 16:48:10 +0200

pysmb (1.1.19-0kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Drop Python 2 module
  * Add autopkgtest
  * Use debhelper-compat 12
  * Bump Standards-Version to 4.5.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Mar 2020 15:40:29 +0200

pysmb (1.1.19-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@freexian.com>  Wed, 07 Jun 2017 15:39:37 +0200

=== debian/control ===
Source: pysmb
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools
Standards-Version: 4.5.0
Homepage: https://miketeo.net/wp/index.php/projects/pysmb
Testsuite: autopkgtest-pkg-python

Package: python3-smb
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-pysmb-doc
Description: SMB/CIFS library (Python 3)
 This package contains an experimental SMB/CIFS library written in Python. It
 implements the client-side SMB/CIFS protocol which allows your Python
 application to access and transfer files to/from SMB/CIFS shared folders like
 your Windows file sharing and Samba folders.
 .
 This package installs the library for Python 3.

Package: python-smb-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: SMB/CIFS library (common documentation)
 This package contains an experimental SMB/CIFS library written in Python. It
 implements the client-side SMB/CIFS protocol which allows your Python
 application to access and transfer files to/from SMB/CIFS shared folders like
 your Windows file sharing and Samba folders.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=smb

%:
	dh $@ --with python3 --buildsystem=pybuild


# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator

## pysmb 1.1.26

=== debian/changelog ===
pysmb (1.1.26-0kali1~jan+nur70) kali-experimental; urgency=low

  * New upstream release.
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Sun, 19 Sep 2021 20:33:28 -0000

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,3 @@
 #	dh_auto_build
 #	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
 #	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator
-

=== debian/watch ===
version=4
https://pypi.debian.net/pysmb/pysmb-(.+)\.(?:tar\.(?:gz|bz2|xz))
